%define product ERP5Catalog
%define version 5.4.2
%define release 1

%define rpm_prefix erp5
%define zope_home     %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   This Zope product for ERP5 is a catalog that filter queries
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
URL:       http://www.erp5.org
Source0:   http://www.erp5.org/dists/release/%{version}/%{product}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Conflicts: ERP5Catalog
Requires:  %{rpm_prefix}-zope %{rpm_prefix}-ZSQLCatalog %{rpm_prefix}-ERP5Type

#----------------------------------------------------------------------
%description
This is a Catalog that filters catalog queries. It is based on ZSQLCatalog.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Sat Apr 25 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4.2-1nxd2009.0
- version 5.4.2

* Sat Apr 18 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4.1-1nxd2009.0
- version 5.4.1

* Tue Mar  3 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4-1nxd2009.0
- version 5.4

* Tue Nov  4 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.3-1nxd2008.1
- version 5.3

* Mon Oct 06 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.1.2-1nxd2008.1
- version 5.1.2

* Fri Mar 23 2008 Julien Gormotte <julien@nexedi.com> 0.14-7mdv2008.0
- New build from the SVN repository (SVN rev: 20187)

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 0.14-6mdv2008.0
- New build from the SVN repository (SVN rev: 18630)

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.14-5mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-4mdv2007.0
- Rebuild for Mandriva 2007.0

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-3mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11865)

* Tue Jan 09 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-2mdk
- New build from the SVN repository (SVN rev: 11944; last changed rev: 11865)

* Mon Jan 08 2007 Kevin Deldycke <kevin@nexedi.com> 0.14-1mdk
- New build from the SVN repository

* Mon Jul 31 2006 Kevin Deldycke <kevin@nexedi.com> 0.13-1mdk
- New build from the SVN repository

* Mon Jun 19 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-3mdk
- New build from the SVN repository

* Fri May 05 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-2mdk
- New build from the SVN repository

* Tue May 02 2006 Kevin Deldycke <kevin@nexedi.com> 0.12-1mdk
- New build from the SVN repository

* Tue Apr 04 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-6mdk
- New build from the SVN repository

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-5mdk
- Give ownership to zope
- New build from the CVS

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-4mdk
- Give ownership to zope
- New build from the CVS

* Mon Jan 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-3mdk
- New build from the CVS

* Fri Jan 27 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-2mdk
- New build from the CVS

* Thu Jan 26 2006 Kevin Deldycke <kevin@nexedi.com> 0.11-1mdk
- Update to version 0.11

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 0.10-1mdk
- Update to version 0.10

* Mon Jan 16 2006 Kevin Deldycke <kevin@nexedi.com> 0.9.20060116-1mdk
- New build from the CVS

* Tue Jan 10 2006 Kevin Deldycke <kevin@nexedi.com> 0.9.20060110-1mdk
- New release for Mandriva 2006
- Spec file updated

* Tue Sep 01 2004 Sebastien Robin <seb@nexedi.com> 0.8-1mdk
- Final relase for Mandrake 10.1

* Tue Feb 17 2004 Sebastien Robin <seb@nexedi.com> 0.1-5mdk
- New release for Mandrake 10.1

* Tue Feb 17 2004 Sebastien Robin <seb@nexedi.com> 0.1-4mdk
- Changed permissions on files

* Mon Sep 08 2003 Sebastien Robin <seb@nexedi.com> 0.1-3mdk
- Changed permissions on files

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 0.1-2mdk
- Update spec in order to follows Mandrake Rules

* Mon May 12 2003 Sebastien Robin <seb@nexedi.com> 0.1-1nxd
- Create the spec file
